lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENE-4276) refuse to execute on broken corrupting jvms
Date Tue, 31 Jul 2012 18:08:34 GMT

    [ https://issues.apache.org/jira/browse/LUCENE-4276?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13425973#comment-13425973
] 

Uwe Schindler commented on LUCENE-4276:
---------------------------------------

To come back to my last post:
The crazy thing is that OpenJDK versions shipped with Linux oerating systems often have stupid
version numbers (see above). In fact the Java 7 version shipped with Ubuntu is called "7~b147-2.0-0ubuntu0.11.10.1",
see https://launchpad.net/ubuntu/+source/openjdk-7/7~b147-2.0-0ubuntu0.11.10.1, but it is
*not* broken. This may also be the confusion we have with some users when they report bugs
(especially when they come from Linux). I am not happy about that, but this is how it is,
I dont think detecting broken versions is easy and Robert's code can easily cause the problem.
Vendor for OpenJDK is also "Oracle" (they return it for conformance with original). And the
O/S verndor patches don't always raise version numbers of Hotspot.

So I think its too risky to fail hard! I think we should put it in the release notes (like
any other vendor of software does).
                
> refuse to execute on broken corrupting jvms
> -------------------------------------------
>
>                 Key: LUCENE-4276
>                 URL: https://issues.apache.org/jira/browse/LUCENE-4276
>             Project: Lucene - Core
>          Issue Type: Task
>            Reporter: Robert Muir
>            Priority: Blocker
>             Fix For: 4.0
>
>         Attachments: LUCENE-4276.patch, LUCENE-4276.patch, LUCENE-4276.patch
>
>
> There are some jvms where we know lucene does not work at all and will just produce things
like corrupt indexes.
> We should detect this in a static block of Constants.java and refuse to run at all.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message